{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% set organisation = templateVars.orga|default %}

{% block component_part %}
    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        'content_heading': "organisation.procedures.branding"|trans,
        'content_subheading': "text.organisation.branding.edit"|trans,
    }%}
        {% block content %}

            <form
                class="layout u-mt"
                action="{{ path('DemosPlan_orga_branding_edit', {'orgaId': organisation.ident|default}) }}"
                method="post"
                enctype="multipart/form-data">
                <div class="layout__item u-1-of-2 u-pr">
                    {{ fileupload(
                        'r_orgaLogo',
                        'organisation.logo.label',
                        ['.jpg', '.jpeg', '.png', '.gif'],
                        'form.button.upload.file',
                        1,
                        false,
                        'explanation.upload.logo.dimensions',
                        false,
                        '',
                        '0',
                        51200
                    )
                    }}
                </div><!--
             --><div class="layout__item u-1-of-2">
                    {% if templateVars.orga.logo is defined and templateVars.orga.logo is not null %}
                        <p class="weight--bold">{{ 'logo.current'|trans }}</p>
                        <img
                            src="{{ path("core_logo", { 'hash': templateVars.orga.logo.hash }) }}"
                            alt="{{ 'logo.alt.orga'|trans }}"
                            style="max-width: 300px;">
                        <div class="u-mt">
                            <input type="checkbox" id="delete_logo" name="r_logoDelete" value="deleteLogo"/>
                            <label for="delete_logo" class="inline-block weight--normal">
                                {{ 'logo.delete'|trans }}
                            </label>
                        </div>
                    {% endif %}
                </div>

                <fieldset class="text-right space-inline-s">
                    <button
                        type="submit"
                        class="btn btn--primary"
                    >
                        {{ 'save'|trans }}
                    </button>
                    <a
                        class="btn btn--secondary"
                        href="{{ path('DemosPlan_orga_edit_view', {'orgaId': organisation.ident|default()}) }}"
                    >
                        {{ "abort"|trans }}
                    </a>
                </fieldset>
            </form>

        {% endblock content %}
    {% endembed %}
{% endblock component_part %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['user-editOrgaBranding.js']) }}
{% endblock javascripts %}
